Get Qualified Offers
1 min
GET
https://api.upstartcommerce.com/v1/finance-offers/qualified
Query Parameters
- providerstringrequiredDescriptionAllowedSynchronyFortiva
- card-numberstringrequiredExampleDescription
- purchase-amountnumber<float>requiredExampleDescriptionFormatfloatMinimum0
- currencystringrequiredExampleDescriptionAllowedUSD
- timezoneIdstringExampleDescription
- productIdsstring[]Description
Header Parameters
- x-upstart-tenantstringrequiredDescription
Responses
200
- QualifiedFinanceOffers[]
- objectQualifiedSynchronyFinanceOffer
- typestringDefaultQualifiedSynchronyFinanceOffer
- idstring<uuid>requiredFormatuuid
- siteIdsstring[]required
- providerProviderrequired
- providerFinanceOfferIdProviderFinanceOfferIdrequired
- tiersTier[]required
- sortOrderinteger<int32>requiredDescriptionFormatint32
- namestringrequiredDescription
- descriptionstringrequiredDescription
- minimumPurchaseAmountnumber<double>requiredDescriptionFormatdouble
- currencystringrequiredExample
- downPaymentDownPaymentDescription
- AbsoluteDownPayment
- amountnumberrequiredExample
- RelativeDownPayment
- percentnumber<double>requiredExampleFormatdoubleMinimum0Maximum1
- DeliveryAndTaxes
- typestringrequiredDefaultDeliveryAndTaxes
- termsAndConditionsstringDescription
- promotionalPeriodMonthsinteger<int32>requiredDescriptionFormatint32
- financeOfferTypeFinanceOfferTyperequired
- productBasedOfferbooleanDescriptionDefaultfalse
- objectQualifiedFortivaFinanceOffer
- typestringDefaultQualifiedFortivaFinanceOffer
- siteIdsstring[]required
- providerProviderrequired
- providerFinanceOfferIdProviderFinanceOfferIdrequired
- sortOrderinteger<int32>requiredDescriptionFormatint32
- minimumPurchaseAmountnumber<double>requiredDescriptionFormatdouble
- currencystringrequiredExample
- downPaymentDownPaymentDescription
- AbsoluteDownPayment
- amountnumberrequiredExample
- RelativeDownPayment
- percentnumber<double>requiredExampleFormatdoubleMinimum0Maximum1
- DeliveryAndTaxes
- typestringrequiredDefaultDeliveryAndTaxes
- promotionalPeriodMonthsinteger<int32>requiredDescriptionFormatint32
- financeOfferTypeFinanceOfferTyperequired
- productBasedOfferbooleanDescriptionDefaultfalse
400
- ValidationErrorResponse
- namestringrequired
- codestringrequired
- detailobject
401
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- object
- namestringrequiredMin Length1
- codestringrequiredMin Length1
- detailobject[]required
curl
curl --request GET \
--url 'https://api.upstartcommerce.com/v1/finance-offers/qualified?provider=Synchrony&card-number=432984343222&purchase-amount=1499.99¤cy=USD' \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/finance-offers/qualified?provider=Synchrony&card-number=432984343222&purchase-amount=1499.99¤cy=USD", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/finance-offers/qualified?provider=Synchrony&card-number=432984343222&purchase-amount=1499.99¤cy=USD")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/finance-offers/qualified?provider=Synchrony&card-number=432984343222&purchase-amount=1499.99¤cy=USD"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Success-relevant set of finance offers found and returned.
[
""
]400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": {}
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// Not Found
{
"name": "",
"code": "",
"detail": [
{}
]
}